org.eclipse.oomph.setup.git

## Interface GitPackage

- All Superinterfaces:
    EModelElement, ENamedElement, EObject, EPackage, Notifier
  All Known Implementing Classes:
    GitPackageImpl

      public interface GitPackage
      extends EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  See Also:
    `GitFactory`
  Generated
  Model
    kind="package" annotation="http://www.eclipse.org/emf/2002/Ecore schemaLocation='http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/models/Git.ecore'" annotation="http://www.eclipse.org/oomph/setup/Enablement variableName='setup.git.p2' repository='${oomph.update.url}' installableUnits='org.eclipse.oomph.setup.git.feature.group'" annotation="http://www.eclipse.org/oomph/setup/Enablement variableName='setup.egit.p2' repository='http://download.eclipse.org/egit/updates' installableUnits='org.eclipse.egit.feature.group'" annotation="http://www.eclipse.org/oomph/base/LabelProvider imageBaseURI='http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/plugins/org.eclipse.oomph.setup.git.edit/icons/full/obj16'"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `GitPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static GitPackage` | `eINSTANCE` The singleton instance of the package.
    `static String` | `eNAME` The package name.
    `static String` | `eNS_PREFIX` The package namespace name.
    `static String` | `eNS_URI` The package namespace URI.
    `static int` | `GIT_CLONE_TASK` The meta object id for the '`Clone Task`' class.
    `static int` | `GIT_CLONE_TASK__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `GIT_CLONE_TASK__CHECKOUT_BRANCH` The feature id for the 'Checkout Branch' attribute.
    `static int` | `GIT_CLONE_TASK__DESCRIPTION` The feature id for the 'Description' attribute.
    `static int` | `GIT_CLONE_TASK__DISABLED` The feature id for the 'Disabled' attribute.
    `static int` | `GIT_CLONE_TASK__EXCLUDED_TRIGGERS` The feature id for the 'Excluded Triggers' attribute.
    `static int` | `GIT_CLONE_TASK__ID` The feature id for the 'ID' attribute.
    `static int` | `GIT_CLONE_TASK__LOCATION` The feature id for the 'Location' attribute.
    `static int` | `GIT_CLONE_TASK__PREDECESSORS` The feature id for the 'Predecessors' reference list.
    `static int` | `GIT_CLONE_TASK__PUSH_URI` The feature id for the 'Push URI' attribute.
    `static int` | `GIT_CLONE_TASK__REMOTE_NAME` The feature id for the 'Remote Name' attribute.
    `static int` | `GIT_CLONE_TASK__REMOTE_URI` The feature id for the 'Remote URI' attribute.
    `static int` | `GIT_CLONE_TASK__RESTRICTIONS` The feature id for the 'Restrictions' reference list.
    `static int` | `GIT_CLONE_TASK__SCOPE_TYPE` The feature id for the 'Scope Type' attribute.
    `static int` | `GIT_CLONE_TASK__SUCCESSORS` The feature id for the 'Successors' reference list.
    `static int` | `GIT_CLONE_TASK_FEATURE_COUNT` The number of structural features of the 'Clone Task' class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EAttribute` | `getGitCloneTask_CheckoutBranch()` Returns the meta object for the attribute '`Checkout Branch`'.
    `EAttribute` | `getGitCloneTask_Location()` Returns the meta object for the attribute '`Location`'.
    `EAttribute` | `getGitCloneTask_PushURI()` Returns the meta object for the attribute '`Push URI`'.
    `EAttribute` | `getGitCloneTask_RemoteName()` Returns the meta object for the attribute '`Remote Name`'.
    `EAttribute` | `getGitCloneTask_RemoteURI()` Returns the meta object for the attribute '`Remote URI`'.
    `EClass` | `getGitCloneTask()` Returns the meta object for class '`Clone Task`'.
    `GitFactory` | `getGitFactory()` Returns the factory that creates the instances of the model.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_URI

          static final String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_PREFIX

          static final String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated

    - #### eINSTANCE

          static final GitPackage eINSTANCE

      The singleton instance of the package.
      Generated

    - #### GIT_CLONE_TASK

          static final int GIT_CLONE_TASK

      The meta object id for the '`Clone Task`' class.
      See Also:
        `GitCloneTaskImpl`, `GitPackageImpl.getGitCloneTask()`, Constant Field Values
      Generated

    - #### GIT_CLONE_TASK__ANNOTATIONS

          static final int GIT_CLONE_TASK__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__ID

          static final int GIT_CLONE_TASK__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__DESCRIPTION

          static final int GIT_CLONE_TASK__DESCRIPTION

      The feature id for the 'Description' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__SCOPE_TYPE

          static final int GIT_CLONE_TASK__SCOPE_TYPE

      The feature id for the 'Scope Type' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__EXCLUDED_TRIGGERS

          static final int GIT_CLONE_TASK__EXCLUDED_TRIGGERS

      The feature id for the 'Excluded Triggers' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__DISABLED

          static final int GIT_CLONE_TASK__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__PREDECESSORS

          static final int GIT_CLONE_TASK__PREDECESSORS

      The feature id for the 'Predecessors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__SUCCESSORS

          static final int GIT_CLONE_TASK__SUCCESSORS

      The feature id for the 'Successors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__RESTRICTIONS

          static final int GIT_CLONE_TASK__RESTRICTIONS

      The feature id for the 'Restrictions' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__LOCATION

          static final int GIT_CLONE_TASK__LOCATION

      The feature id for the 'Location' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__REMOTE_NAME

          static final int GIT_CLONE_TASK__REMOTE_NAME

      The feature id for the 'Remote Name' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__REMOTE_URI

          static final int GIT_CLONE_TASK__REMOTE_URI

      The feature id for the 'Remote URI' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__PUSH_URI

          static final int GIT_CLONE_TASK__PUSH_URI

      The feature id for the 'Push URI' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK__CHECKOUT_BRANCH

          static final int GIT_CLONE_TASK__CHECKOUT_BRANCH

      The feature id for the 'Checkout Branch' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### GIT_CLONE_TASK_FEATURE_COUNT

          static final int GIT_CLONE_TASK_FEATURE_COUNT

      The number of structural features of the 'Clone Task' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

  - ### Method Detail

    - #### getGitCloneTask

          EClass getGitCloneTask()

      Returns the meta object for class '`Clone Task`'.
      Returns:
        the meta object for class 'Clone Task'.
      See Also:
        `GitCloneTask`
      Generated

    - #### getGitCloneTask_Location

          EAttribute getGitCloneTask_Location()

      Returns the meta object for the attribute '`Location`'.
      Returns:
        the meta object for the attribute 'Location'.
      See Also:
        `GitCloneTask.getLocation()`, `getGitCloneTask()`
      Generated

    - #### getGitCloneTask_RemoteName

          EAttribute getGitCloneTask_RemoteName()

      Returns the meta object for the attribute '`Remote Name`'.
      Returns:
        the meta object for the attribute 'Remote Name'.
      See Also:
        `GitCloneTask.getRemoteName()`, `getGitCloneTask()`
      Generated

    - #### getGitCloneTask_RemoteURI

          EAttribute getGitCloneTask_RemoteURI()

      Returns the meta object for the attribute '`Remote URI`'.
      Returns:
        the meta object for the attribute 'Remote URI'.
      See Also:
        `GitCloneTask.getRemoteURI()`, `getGitCloneTask()`
      Generated

    - #### getGitCloneTask_PushURI

          EAttribute getGitCloneTask_PushURI()

      Returns the meta object for the attribute '`Push URI`'.
      Returns:
        the meta object for the attribute 'Push URI'.
      See Also:
        `GitCloneTask.getPushURI()`, `getGitCloneTask()`
      Generated

    - #### getGitCloneTask_CheckoutBranch

          EAttribute getGitCloneTask_CheckoutBranch()

      Returns the meta object for the attribute '`Checkout Branch`'.
      Returns:
        the meta object for the attribute 'Checkout Branch'.
      See Also:
        `GitCloneTask.getCheckoutBranch()`, `getGitCloneTask()`
      Generated

    - #### getGitFactory

          GitFactory getGitFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html